Bug 444763 - Review Request: vaspview - VASP Data Viewer
Review Request: vaspview - VASP Data Viewer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-30 10:37 EDT by Dominik 'Rathann' Mierzejewski
Modified: 2008-06-14 00:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.05-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-14 00:18:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kwizart: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2008-04-30 10:37:55 EDT
Spec URL: http://rathann.fedorapeople.org/review/vaspview.spec
SRPM URL: http://rathann.fedorapeople.org/review/vaspview-1.05-1.src.rpm
Description: 

This is a scientific visualization package for examining output files
generated by the Vienna Ab-initio Simulation Package, a package for
performing ab-initio quantum-mechanical molecular dynamics using
pseudopotentials and a plane wave basis set. The project was initiated
when a chemical engineering professor requested assitance in visualizing
output files produced by the above package. It displays iso-surfaces and
slices of a three-dimensional data set, along with the atoms that make
up the molecule the calculations were performed for, and allows symbolic
bonds to be inserted between them.
Comment 1 Nicolas Chauvet (kwizart) 2008-05-28 07:51:00 EDT
 - starting review -

Few notes: 
* vendor field should remains empty
desktop-file-install --vendor="" \

* Why there is no dist macro for the release tag ?

* last source is 2001/08, this is old. (but it still work without patch, unless
for the missing  "no newline at end of file" which doesn't seems to matter much
for now).
There could be a problem to package software when upstream is dead, as this
package could be improved (it cannot open a dialog window when opening a file).
Visualization remains hard, etc.

* The source tarball used, bundles a pre-built binary for win32. It have to be
removed.

So there may be one suggestion. I wonder if the project could be merged with
GLC_player. That's a 3D model visualization tool for the obj format. Anyway i
think it worst the case to ask... Note that if the package is useful as it is, I
don't see any blocker by itself...


 
Comment 3 Nicolas Chauvet (kwizart) 2008-06-03 07:40:46 EDT
APPROVED
Comment 4 Dominik 'Rathann' Mierzejewski 2008-06-04 13:58:18 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: vaspview
Short Description: VASP Data Viewer
Owners: rathann
Branches: F-8 F-9 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-06-04 17:29:14 EDT
cvs done.
Comment 6 Nicolas Chauvet (kwizart) 2008-06-12 20:36:41 EDT
This package (vaspview) with hasn't been imported into the cvs yet...
Comment 7 Fedora Update System 2008-06-13 05:57:35 EDT
vaspview-1.05-2.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-06-13 06:00:25 EDT
vaspview-1.05-2.fc8 has been submitted as an update for Fedora 8
Comment 9 Fedora Update System 2008-06-14 00:16:47 EDT
vaspview-1.05-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-06-14 00:18:19 EDT
vaspview-1.05-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.